Subsail Help Docs

Search...
K

List copies

List copies

Overview

List copies

gethttps://api.subsail.com/v1/copies/

Request parameters

cursorstring

query

Opaque cursor from the previous response. Omit for the first page.

limitnumber

query

Items per page. Default: 50. Maximum: 200.

statusSent | Cancelled | Not sent

query

Filter by status.

issuestring

query

Filter by issue ID.

subscriberstring

query

Filter by subscriber ID.

subscriptionstring

query

Filter by subscription ID.

countrystring

query

Filter by subscription country code.

Request body

No request body.

Request examples

No request body.

Responses

200Paginated list of copies
has_morebooleanRequired

True if more items are available after this page.

cursorstringRequired

Pass this as cursor to fetch the next page. Null when has_more is false.

itemsCopy[]Required

Array (Copy):

idnumber

Numeric copy (subscription item) ID.

date_sentdate
statusSent | Cancelled | Not sent
countrystring

ISO country code.

issueIssueRef

Object (IssueRef):

idstring
numbernumber
namestring
subscriber_idstring
subscription_idstring

Example

JSON
{
  "has_more": "<boolean>",
  "cursor": "<string>",
  "items": [
    {
      "id": "<number>",
      "date_sent": "<date>",
      "status": "<Sent | Cancelled | Not sent>",
      "country": "<string>",
      "issue": {
        "id": "<string>",
        "number": "<number>",
        "name": "<string>"
      },
      "subscriber_id": "<string>",
      "subscription_id": "<string>"
    }
  ]
}
401Missing or invalid API key (empty response body).
403Account is inactive (empty response body).

© Subsail Help Docs

Powered by Basedoc